import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizinventory/` + url, ...arg)

/**
 * 出入库管理Api接口管理器
 *
 * @author fanzherong
 * @date  2025/02/20 10:02
 **/
export default {
	// 获取出入库管理分页
	bizInventoryPage(data) {
		return request('page', data, 'get')
	},
	// 获取出入库管理列表
	bizInventoryList(data) {
		return request('list', data, 'get')
	},
	// 提交出入库管理表单 edit为true时为编辑，默认为新增
	bizInventorySubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除出入库管理
	bizInventoryDelete(data) {
		return request('delete', data)
	},
	// 获取出入库管理详情
	bizInventoryDetail(data) {
		return request('detail', data, 'get')
	},
	getTotal(data){
		return request('getTotal',data,'get')
	},
	//导出
	exportRecord(data){
		return request('exportRecord', data, 'get', {
			responseType: 'blob'
		})
	},
	getReportList(data){
		return request('getReportList',data,'get')
	},
	getReportExport(data){
		return request('export', data, 'get', {
			responseType: 'blob'
		})
	}
}
